Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86031 - /usr/lib/openoffice/program/soffice invokes inexistent binary
Summary: /usr/lib/openoffice/program/soffice invokes inexistent binary
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openoffice.org
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-12 17:50 UTC by nt.guilde
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-02-27 16:16:23 UTC


Attachments (Terms of Use)

Description nt.guilde 2003-03-12 17:50:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021212

Description of problem:
If /usr/local/bin/word -> /usr/lib/openoffice/program/soffice, then
at line 122 in soffice the programme /usr/lib/openoffice/program/word.bin is
invoked instead of soffice.bin.
  The fix is simple : replace $0 with $sd_script on that line :

cd ..
sd_binary=`basename "$sd_script"`".bin" # was $0
sd_inst="`pwd`"

Version-Release number of selected component (if applicable):
openoffice-1.0.1-8

How reproducible:
Always

Steps to Reproduce:
1.ln -s /usr/lib/openoffice/program/soffice /usr/local/bin/word
2./usr/local/bin/word
3.
    

Actual Results:  /usr/local/bin/word: line 260:
/usr/lib/openoffice/program/word.bin: No such file or directory
/usr/local/bin/word: line 260: exec: /usr/lib/openoffice/program/word.bin:
cannot execute: No such file or directory


Additional info:

Comment 1 Dan Williams 2004-02-27 16:16:23 UTC
Please try current OOo 1.1.0, and reopen if problem still occurs


Note You need to log in before you can comment on or make changes to this bug.